View Issue Details

IDProjectCategoryView StatusLast Update
13114Bug reports[All Projects] Installationpublic2018-05-25 11:30
ReportertuxmasterAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target VersionFixed in Version3.7.x 
Summary13114: After update from 2.72.6 to 3.0.1 design templates can't loades any more
DescriptionOnly an message that an version mismatch was occurs is shown.
Steps To ReproduceUpdate to 3.0.1
Additional InformationPHP error in debug mode:

WrongTemplateVersionException

Das Layout layout_survey_list.twig für die Designvorlage bootswatch kann nicht gerendert werden. Die Vorlagenversion in der Datenbank ist 1.0, aber in config.xml ist sie 2.0. Bitte installieren Sie die Vorlage erneut.

/var/www/limesurvey/application/core/LSETwigViewRenderer.php(53)

41 $line = file_get_contents($oLayoutTemplate->viewPath.$sLayout);
42 $sHtml = $this->convertTwigToHtml($line, $aDatas, $oTemplate);
43
44 if ($bReturn) {
45 return $sHtml;
46 } else {
47 $this->renderHtmlPage($sHtml, $oTemplate);
48 }
49 } else {
50 $templateDbConf = Template::getTemplateConfiguration($oTemplate->template_name, null, null, true);
51 // A possible solution to this error is to re-install the template.
52 if ($templateDbConf->config->metadata->version != $oTemplate->template->version) {
53 throw new WrongTemplateVersionException(
54 sprintf(
55 gT("Can't render layout %s for template %s. Template version in database is %s, but in config.xml it's %s. Please re-install the template."),
56 $sLayout,
57 $oTemplate->template_name,
58 $oTemplate->template->version,
59 $templateDbConf->config->metadata->version
60 )
61 );
62 }
63 // TODO: Panic or default to something else?
64 throw new CException(
65 sprintf(

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0.1+171228
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariDB 10.2.8
Operating System (Server)CentOS 7.4
Webserver software & versionApache 2.4
PHP Version7.1

Activities

Mazi

Mazi

2018-01-04 13:59

developer   ~45419

Last edited: 2018-01-04 14:00

View 2 revisions

Related forum post with potential fix: https://www.limesurvey.org/forum/installation-a-update-issues/113319-problem-with-theme-rendering-after-upgrading-to-3-0-1#162172

tuxmaster

tuxmaster

2018-01-05 09:03

reporter   ~45422

After manual install the vanilla theme the site will load.
But I can't switch the survey theme.
bootswatch will fail with: the error above
fruity will fail with: the error above, but with other version database 1.0 xml file 3.0
material fails with; the error above and another error, when open the admin panel. Here the message will show: material is not installed.

I have attached the installed and available themes.

installed.png (117,806 bytes)
Theme.png (14,515 bytes)
Theme.png (14,515 bytes)
LouisGac

LouisGac

2018-01-08 11:25

developer   ~45449

LS3 Is still not in comfortUpdate, so the upgrade scripts are not tested.
but thank you for reporting, it will help to prepare the release in comfortUpdate
markusfluer

markusfluer

2018-04-27 12:51

developer   ~47551

This should be resolved int he current version.
c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47833

Version 3.8.1+180524 released

Issue History

Date Modified Username Field Change
2018-01-03 08:18 tuxmaster New Issue
2018-01-04 13:59 Mazi Note Added: 45419
2018-01-04 14:00 Mazi Note Edited: 45419 View Revisions
2018-01-05 09:03 tuxmaster File Added: installed.png
2018-01-05 09:03 tuxmaster File Added: Theme.png
2018-01-05 09:03 tuxmaster Note Added: 45422
2018-01-08 11:25 LouisGac Note Added: 45449
2018-04-27 12:51 markusfluer Assigned To => markusfluer
2018-04-27 12:51 markusfluer Status new => resolved
2018-04-27 12:51 markusfluer Resolution open => fixed
2018-04-27 12:51 markusfluer Fixed in Version => 3.7.x
2018-04-27 12:51 markusfluer Note Added: 47551
2018-05-25 11:30 c_schmitz Note Added: 47833
2018-05-25 11:30 c_schmitz Status resolved => closed